# Table of contents

* [Introduction to Peerplays](README.md)

## Technology

* [Peerplays DEX](technology/peerplays-dex/README.md)
  * [User Guide](technology/peerplays-dex/user-guide.md)
  * [LP](technology/peerplays-dex/lp.md)
* [Peerplays Technical Summary](technology/peerplays-technical-summary.md)
* [Graphene](technology/page-1.md)
* [Delegated Proof of Stake \(DPOS\)](technology/delegated-proof-of-stake-dpos.md)
* [Gamified Proof of Stake \(GPOS\)](technology/gamified-proof-of-stake-gpos/README.md)
  * [Wallet User Guide](technology/gamified-proof-of-stake-gpos/user-guide/README.md)
    * [GPOS Panel](technology/gamified-proof-of-stake-gpos/user-guide/gpos-panel.md)
    * [GPOS Landing Page](technology/gamified-proof-of-stake-gpos/user-guide/gpos-landing-page.md)
    * [Power Up](technology/gamified-proof-of-stake-gpos/user-guide/power-up.md)
    * [Power Down](technology/gamified-proof-of-stake-gpos/user-guide/power-down.md)
    * [Vote](technology/gamified-proof-of-stake-gpos/user-guide/vote.md)
    * [Thank you for voting!](technology/gamified-proof-of-stake-gpos/user-guide/thank-you-for-voting.md)
  * [FAQ](technology/gamified-proof-of-stake-gpos/faq/README.md)
    * [General](technology/gamified-proof-of-stake-gpos/faq/general.md)
    * [GPOS Panel](technology/gamified-proof-of-stake-gpos/faq/gpos-panel.md)
    * [Power Up & Power Down](technology/gamified-proof-of-stake-gpos/faq/power-up-and-power-down.md)
    * [Voting](technology/gamified-proof-of-stake-gpos/faq/voting.md)
    * [Participation Rewards](technology/gamified-proof-of-stake-gpos/faq/participation-rewards.md)
* [Sidechain Operator Nodes \(SONs\)](technology/sidechain-operator-nodes-sons/README.md)
  * [FAQ](technology/sidechain-operator-nodes-sons/faq.md)
  * [SON Configuration](technology/sidechain-operator-nodes-sons/son-configuration.md)
  * [Running SON with Docker](technology/sidechain-operator-nodes-sons/running-son-with-docker/README.md)
    * [Setting up a new local network](technology/sidechain-operator-nodes-sons/running-son-with-docker/setting-up-a-new-local-network.md)
    * [Connecting to an existing network](technology/sidechain-operator-nodes-sons/running-son-with-docker/connecting-to-an-existing-network.md)
  * [PBSA's GLADIATOR Endpoints](technology/sidechain-operator-nodes-sons/pbsas-gladiator-endpoints.md)
  * [Quick Joining GLADIATOR](technology/sidechain-operator-nodes-sons/quick-joining-gladiator.md)
* [NFTs and Marketplace](technology/nfts-and-marketplace/README.md)
  * [NFT marketplace in Python](technology/nfts-and-marketplace/nft-marketplace-in-python.md)
  * [NFT Operations in Python](technology/nfts-and-marketplace/nft-operations-in-python.md)
  * [NFT Marketplace HRP RBAC related Commands/Usecases](technology/nfts-and-marketplace/nft-marketplace-hrp-rbac-related-commands-usecases.md)
  * [NFT command reference](technology/nfts-and-marketplace/nft-command-referece.md)
* [Peerplays Improvement Proposals \(PIPs\)](technology/peerplays-improvement-proposals-pips.md)

## Witnesses

* [What is a Peerplays Witness?](witnesses/what-is-a-peerplays-witness.md)
* [Becoming a Peerplays Witness](witnesses/becoming-a-witness.md)
* [Obtaining private keys for cli\_wallet](witnesses/obtaining-private-keys-for-use-in-cli_wallet.md)
* [Setting up a Witness Node](witnesses/setting-up-a-witness-node/README.md)
  * [Creating a witness account](witnesses/setting-up-a-witness-node/cli-wallet-setup.md)
  * [Beatrice](witnesses/setting-up-a-witness-node/beatrice.md)
  * [Creating a Backup Server](witnesses/setting-up-a-witness-node/creating-a-backup-server.md)
* [Updating a Witness Node](witnesses/updating-a-witness-node.md)
* [Setting up a Witness Node with Docker](witnesses/setting-up-a-witness-node-with-docker.md)
* [Setting up the faucet](witnesses/setting-up-the-faucet.md)
* [Beatrice](witnesses/beatrice/README.md)
  * [Setting up the chain and using the CLI wallet through downloadable binaries](witnesses/beatrice/setting-up-the-chain-and-using-the-cli-wallet-through-downloadable-binaries.md)

## Bookie Oracle Suite \(BOS\)

* [Introduction to BOS](bookie-oracle-suite-bos/intro-bos.md)
* [BOS Installation](bookie-oracle-suite-bos/bos-and-mint-setup/README.md)
  * [Installing MongoDB](bookie-oracle-suite-bos/bos-and-mint-setup/installing-mongodb.md)
  * [Installing Redis](bookie-oracle-suite-bos/bos-and-mint-setup/installing-redis.md)
  * [Configuration of bos-auto](bookie-oracle-suite-bos/bos-and-mint-setup/configuration-of-bos-auto.md)
  * [Spinning Up bos-auto](bookie-oracle-suite-bos/bos-and-mint-setup/spinning-up-bos-auto.md)
* [BookieSports](bookie-oracle-suite-bos/bookiesports/README.md)
  * [Installing Bookiesports](bookie-oracle-suite-bos/bookiesports/installing-bookiesports.md)
  * [Synchronizing BOS with BookieSports](bookie-oracle-suite-bos/bookiesports/synchronizing-bos-with-bookiesports.md)
  * [BookieSports Module Contents](bookie-oracle-suite-bos/bookiesports/bookiesports-package/README.md)
    * [Sub Modules](bookie-oracle-suite-bos/bookiesports/bookiesports-package/sub-modules.md)
  * [Schema](bookie-oracle-suite-bos/bookiesports/schema.md)
  * [Naming Scheme](bookie-oracle-suite-bos/bookiesports/naming-schema.md)
* [Manual Intervention Tool \(MINT\)](bookie-oracle-suite-bos/introduction-to-mint/README.md)
  * [Installing MINT](bookie-oracle-suite-bos/introduction-to-mint/installing-mint.md)

## Data Proxies

* [Introduction to Data Proxies](data-proxies/data-proxies-page-1.md)
* [How Data Proxies Work](data-proxies/how-data-proxies-work/README.md)
  * [Incident Schema](data-proxies/how-data-proxies-work/incident-schema.md)
* [Data Proxy Set Up](data-proxies/data-proxy-set-up.md)
* [Creating Your Own Data Proxy](data-proxies/creating-your-own-data-proxy.md)

## Couch Potato

* [Introduction](couch-potato/introduction.md)
* [Installation](couch-potato/installation.md)
* [Functional Requirements](couch-potato/functional-requirements/README.md)
  * [Flow Diagrams](couch-potato/functional-requirements/flow-diagrams.md)
  * [Home Page](couch-potato/functional-requirements/home-page.md)
  * [Create Account](couch-potato/functional-requirements/create-account.md)
  * [Dashboard](couch-potato/functional-requirements/dashboard/README.md)
    * [Header](couch-potato/functional-requirements/dashboard/header.md)
    * [Sports Tabs](couch-potato/functional-requirements/dashboard/sports-tabs.md)
    * [League Tabs](couch-potato/functional-requirements/dashboard/league-tabs.md)
    * [Calendar](couch-potato/functional-requirements/dashboard/calendar.md)
    * [Notifications](couch-potato/functional-requirements/dashboard/notifications.md)
    * [Replay](couch-potato/functional-requirements/dashboard/replay.md)
    * [Account Menu](couch-potato/functional-requirements/dashboard/account-menu.md)
  * [Game Selector](couch-potato/functional-requirements/game-selector.md)
  * [Change Password](couch-potato/functional-requirements/change-password.md)
* [Help](couch-potato/help/README.md)
  * [User Guide](couch-potato/help/user-guide/README.md)
    * [Introduction](couch-potato/help/user-guide/introduction.md)
    * [Home Page](couch-potato/help/user-guide/home-page.md)
    * [Creating an Account](couch-potato/help/user-guide/creating-an-account.md)
    * [Dashboard](couch-potato/help/user-guide/dashboard/README.md)
      * [Replay](couch-potato/help/user-guide/dashboard/replay.md)
      * [Account Menu](couch-potato/help/user-guide/dashboard/account-menu/README.md)
        * [Change Password](couch-potato/help/user-guide/dashboard/account-menu/change-password.md)
    * [Game Selector](couch-potato/help/user-guide/game-selector.md)
* [Database](couch-potato/database/README.md)
  * [Schema](couch-potato/database/schema.md)
  * [Objects](couch-potato/database/objects/README.md)
    * [Tables](couch-potato/database/objects/tables.md)
    * [Views](couch-potato/database/objects/views.md)
* [API](couch-potato/api-1/README.md)
  * [Using the API](couch-potato/api-1/using-the-api.md)
  * [API Reference](couch-potato/api-1/api-reference/README.md)
    * [Objects](couch-potato/api-1/api-reference/objects.md)
    * [Error Codes](couch-potato/api-1/api-reference/error-codes.md)
  * [BOS Schema](couch-potato/api-1/bos-schema.md)
* [Proxy Payment Considerations](couch-potato/proxy-payment-considerations.md)

## CLI Wallet <a id="peerplays-wallet"></a>

* [User Issued Assets \(UIAs\)](peerplays-wallet/user-issued-assets-uias.md)
* [CLI Wallet Commands](peerplays-wallet/cli-wallet-commands.md)
* [cli\_wallet & SON](peerplays-wallet/cli_wallet-and-son.md)

## Random Number Generator \(RNG\)

* [RNG Technical Summary](random-number-generator-rng/rng-technical-summary.md)
* [RNG API](random-number-generator-rng/api.md)

## API

* [Peerplays Core API](api/peerplays-core-api/README.md)
  * [Popular API Calls](api/peerplays-core-api/popular-api-calls.md)
  * [Account History API](api/peerplays-core-api/account-history-api.md)
  * [Asset API](api/peerplays-core-api/asset-api.md)
  * [Block API](api/peerplays-core-api/block-api.md)
  * [Crypto API](api/peerplays-core-api/crypto-api.md)
  * [Database API](api/peerplays-core-api/database-api.md)
  * [Network Broadcast API](api/peerplays-core-api/network-broadcast-api.md)
  * [Network Nodes API](api/peerplays-core-api/network-nodes-api.md)
  * [Orders API](api/peerplays-core-api/orders-api.md)
* [Wallet API](api/peerplays-wallet-api/README.md)
  * [Account Calls](api/peerplays-wallet-api/account-calls.md)
  * [Asset Calls](api/peerplays-wallet-api/asset-calls.md)
  * [Blockchain Inspection](api/peerplays-wallet-api/blockchain-inspection.md)
  * [General Calls](api/peerplays-wallet-api/general-calls.md)
  * [Governance](api/peerplays-wallet-api/governance.md)
  * [Privacy Mode](api/peerplays-wallet-api/privacy-mode.md)
  * [Trading Calls](api/peerplays-wallet-api/trading-calls.md)
  * [Transaction Builder](api/peerplays-wallet-api/transaction-builder.md)
  * [Wallet Calls](api/peerplays-wallet-api/wallet-calls.md)
* [SON API](api/son-api/README.md)
  * [Wallet Commands](api/son-api/wallet-commands.md)
* [GPOS API](api/gpos-api.md)
* [Bookie API](api/bookie-api/README.md)
  * [General](api/bookie-api/general.md)
  * [Tournaments](api/bookie-api/tournaments.md)
  * [Listeners](api/bookie-api/listeners.md)
* [Market Maker API](api/market-maker-api.md)
* [Sweeps API](api/sweeps-api.md)
* [Python Peerplays](api/python-peerplays/README.md)
  * [Installation](api/python-peerplays/installation.md)
  * [Creating the wallet](api/python-peerplays/creating-the-peerplays-wallet.md)
  * [Creating an Account](api/python-peerplays/creating-an-account.md)
  * [NFT](api/python-peerplays/nft.md)
  * [Market Place](api/python-peerplays/market-place.md)
  * [HRP / RBAC](api/python-peerplays/hrp-rbac.md)
* [peerplayjs-lib](api/peerplayjs-lib.md)

---

* [Connecting Elasticsearch to a blockchain node](connecting-elasticsearch-to-a-blockchain-node.md)

## GitLab

* [Time Tracking](gitlab/time-tracking.md)

